Page MenuHomeFreeBSD

remind user of variable used to set src tree location
ClosedPublic

Authored by emaste on Dec 6 2019, 7:32 PM.
Tags
None
Referenced Files
F88946997: D22707.id65325.diff
Sun, Jul 21, 6:30 AM
Unknown Object (File)
Mon, Jul 15, 5:53 AM
Unknown Object (File)
Jun 3 2024, 10:31 AM
Unknown Object (File)
Apr 13 2024, 1:35 PM
Unknown Object (File)
Mar 31 2024, 11:29 AM
Unknown Object (File)
Jan 14 2024, 4:23 PM
Unknown Object (File)
Dec 27 2023, 1:15 PM
Unknown Object (File)
Dec 20 2023, 2:36 AM
Subscribers
None

Details

Summary

trying to build kmod ports without a src tree in /usr/src results in a failure that the build requires kernel source files in /usr/src. Mention also the make variable (SRC_BASE) that sets this patch as a hint to users building against a src tree located elsewhere.


My src trees are usually in a directory like ~/src/freebsd and the location can be set with SRC_BASE=..., but I can never recall if it's SRCTOP or SRC_TOP or whatnot. Mention the variable name in the error as a hint.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Dec 6 2019, 7:46 PM
This revision was automatically updated to reflect the committed changes.